Subject: [mpls] Fragmented LSP PING Request

From: "M. ELK" <[email-masked]>
Date: Wed, 18 May 2005 09:54:56 +0000

Hi

1) LSP PING draft , did not specify if the DF bit to be set or clear in the 
IP header
    of the LSP Echo request . One implementation  always set DF bit .
    Any reason the draft opted to leave it unspecified ???

2) Case :DF not set
     For a Transient LSR , If the LSP Echo request is "TOO-Big" to be 
forwarded .
     the LSP Echo request will be fragmented as per section 3.4 in RFC 3032
     (Label Stack Encoding ) .

    is it correct to allow the LSP request to be fragemented ???

3) Case : DF set .

    3a) Transient LSR send ICMP as per RFC 3032 .

    or

   3b) Transient LSR notice that the packet is LSP echo request and send 
echo reply
         directly to the Head-end (the source IP address in the echo 
request) with
         return code which indicate that fragmentation is needed .
         If yes: Their is no return code defined for fragmentation error ??

  is it 3a or 3b .

my guess it is 3a but 3b is more logical .

Brgds

_________________________________________________________________
FREE pop-up blocking with the new MSN Toolbar - get it now! 
http://toolbar.msn.click-url.com/go/onm00200415ave/direct/01/

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls